Bug 435067 - QEMU driver does not support xvd* disk device names for Xenner guests
QEMU driver does not support xvd* disk device names for Xenner guests
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
Depends On:
Blocks: LibvirtXenner
  Show dependency treegraph
Reported: 2008-02-26 23:23 EST by Daniel Berrange
Modified: 2008-11-04 06:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-04 06:11:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Support xvd* disks for xenner (4.61 KB, patch)
2008-05-10 13:27 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-02-26 23:23:57 EST
Description of problem:
Xen paravirt guests are typically configured with disk names matching 'xvdXXX'.
. Attempting to do this with the QEMU driver for Xenner results in a libvirt
error message

Invalid harddisk device name: xvda

This is because the QEMU driver only accepts disks named 'hdX'. 

For xenner guests it needs to be more flexible, accepting hdX, sdX, and xvdX.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Berrange 2008-05-10 13:27:05 EDT
Created attachment 305037 [details]
Support xvd* disks for xenner
Comment 2 Bug Zapper 2008-05-14 01:39:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Daniel Berrange 2008-11-04 06:11:21 EST
This is fixed in 0.4.5 release

Note You need to log in before you can comment on or make changes to this bug.